diff --git a/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp4.c b/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp4.c
index fb63cf6..e06b596 100644
--- a/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp4.c
+++ b/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp4.c
@@ -1201,15 +1191,16 @@ PxeBcDhcp4CallBack (
   if ((Dhcp4Event != Dhcp4RcvdOffer) &&
       (Dhcp4Event != Dhcp4SelectOffer) &&
       (Dhcp4Event != Dhcp4SendDiscover) &&
-      (Dhcp4Event != Dhcp4RcvdAck)) {
+      (Dhcp4Event != Dhcp4RcvdAck))
+  {
     return EFI_SUCCESS;
   }
 
   ASSERT (Packet != NULL);
 
-  Private   = (PXEBC_PRIVATE_DATA *) Context;
-  Mode      = Private->PxeBc.Mode;
-  Callback  = Private->PxeBcCallback;
+  Private  = (PXEBC_PRIVATE_DATA *)Context;
+  Mode     = Private->PxeBc.Mode;
+  Callback = Private->PxeBcCallback;
 
   //
   // Override the Maximum DHCP Message Size.
@@ -1227,15 +1218,15 @@ PxeBcDhcp4CallBack (
   //
   // Callback to user if any packets sent or received.
   //
-  if (Dhcp4Event != Dhcp4SelectOffer && Callback != NULL) {
-    Received = (BOOLEAN) (Dhcp4Event == Dhcp4RcvdOffer || Dhcp4Event == Dhcp4RcvdAck);
-    Status = Callback->Callback (
-                         Callback,
-                         Private->Function,
-                         Received,
-                         Packet->Length,
-                         (EFI_PXE_BASE_CODE_PACKET *) &Packet->Dhcp4
-                         );
+  if ((Dhcp4Event != Dhcp4SelectOffer) && (Callback != NULL)) {
+    Received = (BOOLEAN)(Dhcp4Event == Dhcp4RcvdOffer || Dhcp4Event == Dhcp4RcvdAck);
+    Status   = Callback->Callback (
+                           Callback,
+                           Private->Function,
+                           Received,
+                           Packet->Length,
+                           (EFI_PXE_BASE_CODE_PACKET *)&Packet->Dhcp4
+                           );
     if (Status != EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE) {
       return EFI_ABORTED;
     }
@@ -1358,37 +1349,37 @@ PxeBcDhcp4CallBack (
 **/
 EFI_STATUS
 PxeBcDhcp4Discover (
-  IN  PXEBC_PRIVATE_DATA              *Private,
-  IN  UINT16                          Type,
-  IN  UINT16                          *Layer,
-  IN  BOOLEAN                         UseBis,
-  IN  EFI_IP_ADDRESS                  *DestIp,
-  IN  UINT16                          IpCount,
-  IN  EFI_PXE_BASE_CODE_SRVLIST       *SrvList
+  IN  PXEBC_PRIVATE_DATA         *Private,
+  IN  UINT16                     Type,
+  IN  UINT16                     *Layer,
+  IN  BOOLEAN                    UseBis,
+  IN  EFI_IP_ADDRESS             *DestIp,
+  IN  UINT16                     IpCount,
+  IN  EFI_PXE_BASE_CODE_SRVLIST  *SrvList
   )
 {
-  EFI_PXE_BASE_CODE_UDP_PORT          Sport;
-  EFI_PXE_BASE_CODE_MODE              *Mode;
-  EFI_DHCP4_PROTOCOL                  *Dhcp4;
-  EFI_DHCP4_TRANSMIT_RECEIVE_TOKEN    Token;
-  BOOLEAN                             IsBCast;
-  EFI_STATUS                          Status;
-  UINT16                              RepIndex;
-  UINT16                              SrvIndex;
-  UINT16                              TryIndex;
-  EFI_DHCP4_LISTEN_POINT              ListenPoint;
-  EFI_DHCP4_PACKET                    *Response;
-  UINT8                               Buffer[PXEBC_DHCP4_OPTION_MAX_SIZE];
-  EFI_DHCP4_PACKET_OPTION             *OptList[PXEBC_DHCP4_OPTION_MAX_NUM];
-  UINT32                              OptCount;
-  EFI_DHCP4_PACKET_OPTION             *PxeOpt;
-  PXEBC_OPTION_BOOT_ITEM              *PxeBootItem;
-  UINT8                               VendorOptLen;
-  UINT32                              Xid;
-
-  Mode      = Private->PxeBc.Mode;
-  Dhcp4     = Private->Dhcp4;
-  Status    = EFI_SUCCESS;
+  EFI_PXE_BASE_CODE_UDP_PORT        Sport;
+  EFI_PXE_BASE_CODE_MODE            *Mode;
+  EFI_DHCP4_PROTOCOL                *Dhcp4;
+  EFI_DHCP4_TRANSMIT_RECEIVE_TOKEN  Token;
+  BOOLEAN                           IsBCast;
+  EFI_STATUS                        Status;
+  UINT16                            RepIndex;
+  UINT16                            SrvIndex;
+  UINT16                            TryIndex;
+  EFI_DHCP4_LISTEN_POINT            ListenPoint;
+  EFI_DHCP4_PACKET                  *Response;
+  UINT8                             Buffer[PXEBC_DHCP4_OPTION_MAX_SIZE];
+  EFI_DHCP4_PACKET_OPTION           *OptList[PXEBC_DHCP4_OPTION_MAX_NUM];
+  UINT32                            OptCount;
+  EFI_DHCP4_PACKET_OPTION           *PxeOpt;
+  PXEBC_OPTION_BOOT_ITEM            *PxeBootItem;
+  UINT8                             VendorOptLen;
+  UINT32                            Xid;
+
+  Mode   = Private->PxeBc.Mode;
+  Dhcp4  = Private->Dhcp4;
+  Status = EFI_SUCCESS;
 
   ZeroMem (&Token, sizeof (EFI_DHCP4_TRANSMIT_RECEIVE_TOKEN));
 
@@ -1403,7 +1394,7 @@ PxeBcDhcp4Discover (
     IsBCast = FALSE;
   }
 
-  if (!UseBis && Layer != NULL) {
+  if (!UseBis && (Layer != NULL)) {
     *Layer &= EFI_PXE_BASE_CODE_BOOT_LAYER_MASK;
   }
 
@@ -1416,23 +1407,23 @@ PxeBcDhcp4Discover (
     //
     // Add vendor option of PXE_BOOT_ITEM
     //
-    VendorOptLen      = (UINT8) ((sizeof (EFI_DHCP4_PACKET_OPTION) - 1) * 2 + sizeof (PXEBC_OPTION_BOOT_ITEM) + 1);
+    VendorOptLen      = (UINT8)((sizeof (EFI_DHCP4_PACKET_OPTION) - 1) * 2 + sizeof (PXEBC_OPTION_BOOT_ITEM) + 1);
     OptList[OptCount] = AllocateZeroPool (VendorOptLen);
     if (OptList[OptCount] == NULL) {
       return EFI_OUT_OF_RESOURCES;
     }
 
-    OptList[OptCount]->OpCode     = DHCP4_TAG_VENDOR;
-    OptList[OptCount]->Length     = (UINT8) (VendorOptLen - 2);
-    PxeOpt                        = (EFI_DHCP4_PACKET_OPTION *) OptList[OptCount]->Data;
-    PxeOpt->OpCode                = PXEBC_VENDOR_TAG_BOOT_ITEM;
-    PxeOpt->Length                = (UINT8) sizeof (PXEBC_OPTION_BOOT_ITEM);
-    PxeBootItem                   = (PXEBC_OPTION_BOOT_ITEM *) PxeOpt->Data;
-    PxeBootItem->Type             = HTONS (Type);
-    PxeOpt->Data[PxeOpt->Length]  = DHCP4_TAG_EOP;
+    OptList[OptCount]->OpCode    = DHCP4_TAG_VENDOR;
+    OptList[OptCount]->Length    = (UINT8)(VendorOptLen - 2);
+    PxeOpt                       = (EFI_DHCP4_PACKET_OPTION *)OptList[OptCount]->Data;
+    PxeOpt->OpCode               = PXEBC_VENDOR_TAG_BOOT_ITEM;
+    PxeOpt->Length               = (UINT8)sizeof (PXEBC_OPTION_BOOT_ITEM);
+    PxeBootItem                  = (PXEBC_OPTION_BOOT_ITEM *)PxeOpt->Data;
+    PxeBootItem->Type            = HTONS (Type);
+    PxeOpt->Data[PxeOpt->Length] = DHCP4_TAG_EOP;
 
     if (Layer != NULL) {
-      PxeBootItem->Layer          = HTONS (*Layer);
+      PxeBootItem->Layer = HTONS (*Layer);
     }
 
     OptCount++;
@@ -1477,7 +1468,7 @@ PxeBcDhcp4Discover (
   //
   Xid                                 = NET_RANDOM (NetRandomInitSeed ());
   Token.Packet->Dhcp4.Header.Xid      = HTONL (Xid);
-  Token.Packet->Dhcp4.Header.Reserved = HTONS ((UINT16) ((IsBCast) ? 0x8000 : 0x0));
+  Token.Packet->Dhcp4.Header.Reserved = HTONS ((UINT16)((IsBCast) ? 0x8000 : 0x0));
   CopyMem (&Token.Packet->Dhcp4.Header.ClientAddr, &Private->StationIp, sizeof (EFI_IPv4_ADDRESS));
 
   Token.RemotePort = Sport;
@@ -1491,20 +1482,19 @@ PxeBcDhcp4Discover (
   CopyMem (&Token.GatewayAddress, &Private->GatewayIp, sizeof (EFI_IPv4_ADDRESS));
 
   if (!IsBCast) {
-    Token.ListenPointCount            = 1;
-    Token.ListenPoints                = &ListenPoint;
-    Token.ListenPoints[0].ListenPort  = PXEBC_BS_DISCOVER_PORT;
-    CopyMem (&Token.ListenPoints[0].ListenAddress, &Private->StationIp, sizeof(EFI_IPv4_ADDRESS));
-    CopyMem (&Token.ListenPoints[0].SubnetMask, &Private->SubnetMask, sizeof(EFI_IPv4_ADDRESS));
+    Token.ListenPointCount           = 1;
+    Token.ListenPoints               = &ListenPoint;
+    Token.ListenPoints[0].ListenPort = PXEBC_BS_DISCOVER_PORT;
+    CopyMem (&Token.ListenPoints[0].ListenAddress, &Private->StationIp, sizeof (EFI_IPv4_ADDRESS));
+    CopyMem (&Token.ListenPoints[0].SubnetMask, &Private->SubnetMask, sizeof (EFI_IPv4_ADDRESS));
   }
 
   //
   // Send out the request packet to discover the bootfile.
   //
   for (TryIndex = 1; TryIndex <= PXEBC_BOOT_REQUEST_RETRIES; TryIndex++) {
-
-    Token.TimeoutValue                  = (UINT16) (PXEBC_BOOT_REQUEST_TIMEOUT * TryIndex);
-    Token.Packet->Dhcp4.Header.Seconds  = (UINT16) (PXEBC_BOOT_REQUEST_TIMEOUT * (TryIndex - 1));
+    Token.TimeoutValue                 = (UINT16)(PXEBC_BOOT_REQUEST_TIMEOUT * TryIndex);
+    Token.Packet->Dhcp4.Header.Seconds = (UINT16)(PXEBC_BOOT_REQUEST_TIMEOUT * (TryIndex - 1));
 
     Status = Dhcp4->TransmitReceive (Dhcp4, &Token);
     if (Token.Status != EFI_TIMEOUT) {
@@ -1520,10 +1510,9 @@ PxeBcDhcp4Discover (
   }
 
   if (!EFI_ERROR (Status)) {
-
-    RepIndex  = 0;
-    SrvIndex  = 0;
-    Response  = Token.ResponseList;
+    RepIndex = 0;
+    SrvIndex = 0;
+    Response = Token.ResponseList;
     //
     // Find the right PXE Reply according to server address.
     //
@@ -1531,7 +1520,7 @@ PxeBcDhcp4Discover (
       if (Response->Length > PXEBC_DHCP4_PACKET_MAX_SIZE) {
         SrvIndex = 0;
         RepIndex++;
-        Response = (EFI_DHCP4_PACKET *) ((UINT8 *) Response + Response->Size);
+        Response = (EFI_DHCP4_PACKET *)((UINT8 *)Response + Response->Size);
         continue;
       }
 
@@ -1539,10 +1528,13 @@ PxeBcDhcp4Discover (
         if (SrvList[SrvIndex].AcceptAnyResponse) {
           break;
         }
+
         if ((SrvList[SrvIndex].Type == Type) &&
-            EFI_IP4_EQUAL (&Response->Dhcp4.Header.ServerAddr, &SrvList[SrvIndex].IpAddr)) {
+            EFI_IP4_EQUAL (&Response->Dhcp4.Header.ServerAddr, &SrvList[SrvIndex].IpAddr))
+        {
           break;
         }
+
         SrvIndex++;
       }
 
@@ -1552,7 +1544,7 @@ PxeBcDhcp4Discover (
 
       SrvIndex = 0;
       RepIndex++;
-      Response = (EFI_DHCP4_PACKET *) ((UINT8 *) Response + Response->Size);
+      Response = (EFI_DHCP4_PACKET *)((UINT8 *)Response + Response->Size);
     }
 
     if (RepIndex < Token.ResponseCount) {
@@ -1562,13 +1554,14 @@ PxeBcDhcp4Discover (
       //
       if (Private->IsDoDiscover) {
         Status = PxeBcCacheDhcp4Packet (&Private->PxeReply.Dhcp4.Packet.Ack, Response);
-        if (EFI_ERROR(Status)) {
+        if (EFI_ERROR (Status)) {
           goto ON_EXIT;
         }
+
         CopyMem (&Mode->PxeDiscover, &Token.Packet->Dhcp4, Token.Packet->Length);
       } else {
         Status = PxeBcCacheDhcp4Packet (&Private->ProxyOffer.Dhcp4.Packet.Offer, Response);
-        if (EFI_ERROR(Status)) {
+        if (EFI_ERROR (Status)) {
           goto ON_EXIT;
         }
       }
@@ -1579,14 +1572,17 @@ PxeBcDhcp4Discover (
       Status = EFI_NOT_FOUND;
     }
   }
+
 ON_EXIT:
 
   if (Token.ResponseList != NULL) {
     FreePool (Token.ResponseList);
   }
+
   if (Token.Packet != NULL) {
     FreePool (Token.Packet);
   }
+
   return Status;
 }
 
@@ -1601,40 +1597,40 @@ ON_EXIT:
 **/
 EFI_STATUS
 PxeBcSetIp4Policy (
-  IN PXEBC_PRIVATE_DATA            *Private
+  IN PXEBC_PRIVATE_DATA  *Private
   )
 {
-  EFI_STATUS                   Status;
-  EFI_IP4_CONFIG2_PROTOCOL     *Ip4Config2;
-  EFI_IP4_CONFIG2_POLICY       Policy;
-  UINTN                        DataSize;
+  EFI_STATUS                Status;
+  EFI_IP4_CONFIG2_PROTOCOL  *Ip4Config2;
+  EFI_IP4_CONFIG2_POLICY    Policy;
+  UINTN                     DataSize;
 
   Ip4Config2 = Private->Ip4Config2;
-  DataSize = sizeof (EFI_IP4_CONFIG2_POLICY);
-  Status = Ip4Config2->GetData (
-                       Ip4Config2,
-                       Ip4Config2DataTypePolicy,
-                       &DataSize,
-                       &Policy
-                       );
+  DataSize   = sizeof (EFI_IP4_CONFIG2_POLICY);
+  Status     = Ip4Config2->GetData (
+                             Ip4Config2,
+                             Ip4Config2DataTypePolicy,
+                             &DataSize,
+                             &Policy
+                             );
   if (EFI_ERROR (Status)) {
     return Status;
   }
 
   if (Policy != Ip4Config2PolicyStatic) {
     Policy = Ip4Config2PolicyStatic;
-    Status= Ip4Config2->SetData (
-                          Ip4Config2,
-                          Ip4Config2DataTypePolicy,
-                          sizeof (EFI_IP4_CONFIG2_POLICY),
-                          &Policy
-                          );
+    Status = Ip4Config2->SetData (
+                           Ip4Config2,
+                           Ip4Config2DataTypePolicy,
+                           sizeof (EFI_IP4_CONFIG2_POLICY),
+                           &Policy
+                           );
     if (EFI_ERROR (Status)) {
       return Status;
     }
   }
 
-  return  EFI_SUCCESS;
+  return EFI_SUCCESS;
 }
 
 /**
@@ -1649,28 +1645,28 @@ PxeBcSetIp4Policy (
 **/
 EFI_STATUS
 PxeBcDhcp4Dora (
-  IN PXEBC_PRIVATE_DATA        *Private,
-  IN EFI_DHCP4_PROTOCOL        *Dhcp4
+  IN PXEBC_PRIVATE_DATA  *Private,
+  IN EFI_DHCP4_PROTOCOL  *Dhcp4
   )
 {
-  EFI_PXE_BASE_CODE_MODE       *PxeMode;
-  EFI_DHCP4_CONFIG_DATA        Config;
-  EFI_DHCP4_MODE_DATA          Mode;
-  EFI_DHCP4_PACKET_OPTION      *OptList[PXEBC_DHCP4_OPTION_MAX_NUM];
-  UINT8                        Buffer[PXEBC_DHCP4_OPTION_MAX_SIZE];
-  UINT32                       OptCount;
-  EFI_STATUS                   Status;
+  EFI_PXE_BASE_CODE_MODE   *PxeMode;
+  EFI_DHCP4_CONFIG_DATA    Config;
+  EFI_DHCP4_MODE_DATA      Mode;
+  EFI_DHCP4_PACKET_OPTION  *OptList[PXEBC_DHCP4_OPTION_MAX_NUM];
+  UINT8                    Buffer[PXEBC_DHCP4_OPTION_MAX_SIZE];
+  UINT32                   OptCount;
+  EFI_STATUS               Status;
 
   ASSERT (Dhcp4 != NULL);
 
-  Status   = EFI_SUCCESS;
-  PxeMode  = Private->PxeBc.Mode;
+  Status  = EFI_SUCCESS;
+  PxeMode = Private->PxeBc.Mode;
 
   //
   // Build option list for the request packet.
   //
   OptCount = PxeBcBuildDhcp4Options (Private, OptList, Buffer, FALSE);
-  ASSERT (OptCount> 0);
+  ASSERT (OptCount > 0);
 
   ZeroMem (&Mode, sizeof (EFI_DHCP4_MODE_DATA));
   ZeroMem (&Config, sizeof (EFI_DHCP4_CONFIG_DATA));
@@ -1704,7 +1700,7 @@ PxeBcDhcp4Dora (
       PxeMode->IcmpErrorReceived = TRUE;
     }
 
-    if (Status == EFI_TIMEOUT && Private->OfferNum > 0) {
+    if ((Status == EFI_TIMEOUT) && (Private->OfferNum > 0)) {
       Status = EFI_NO_RESPONSE;
     }
 
